summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYegor Timoshenko <yegortimoshenko@gmail.com>2017-05-18 05:02:23 +0300
committerPatrice Clement <monsieurp@gentoo.org>2017-05-31 18:22:51 +0200
commit0c565ccf7ff85fef6927960f00c0f4aa33519ccb (patch)
tree0431f5cb35609efb253ce0c1c99c41c726c963bf /app-cdr/uif2iso
parentdev-lang/gforth: keyword for ~x64-macos. (diff)
downloadgentoo-0c565ccf7ff85fef6927960f00c0f4aa33519ccb.tar.gz
gentoo-0c565ccf7ff85fef6927960f00c0f4aa33519ccb.tar.bz2
gentoo-0c565ccf7ff85fef6927960f00c0f4aa33519ccb.zip
app-cdr/uif2iso: EAPI="6", fix LICENSE and tests, keyword for ~x64-macos.
Closes: https://github.com/gentoo/gentoo/pull/4668
Diffstat (limited to 'app-cdr/uif2iso')
-rw-r--r--app-cdr/uif2iso/Manifest2
-rw-r--r--app-cdr/uif2iso/metadata.xml13
-rw-r--r--app-cdr/uif2iso/uif2iso-0.1.7c-r1.ebuild41
3 files changed, 51 insertions, 5 deletions
diff --git a/app-cdr/uif2iso/Manifest b/app-cdr/uif2iso/Manifest
index 32fa02655c7..620aaba9690 100644
--- a/app-cdr/uif2iso/Manifest
+++ b/app-cdr/uif2iso/Manifest
@@ -1 +1,3 @@
DIST uif2iso-0.1.7c.zip 113727 SHA256 b78dde3e8bc28559f73e2feb46d41c8f57b511ddbe25d63ada704ef8697528ec SHA512 22e2e2d156cae7f2f72ba5959bf3b4282609397d148e6a98666382003ce568e185a90e6af8821829d302c1efea1ca2c6d155df0181c6a29294d70de8adc9591f WHIRLPOOL df4a0446faec70dcb30316a576d49cdf074b042e99a85ccb4dbd0273bc72a5b5a5e37d74c5326728fb80bd34da8783c5dd070c97c9476ff0a1c245b2d5520d56
+DIST uif2iso-test.iso 55296 SHA256 6fe46b1733fe3e337b3aa4035cdb817e611656136b828a519fe2bd595349c0e0 SHA512 775f8fc87a51709c6ef10ae2751cc8600c22d70af419afd680a1917338a699e6a3934597af26400f67ff68fdea5db32e416d73fda370ef71f0d19a5bbdcbedd6 WHIRLPOOL 7a12d5abb9a8b49083b810f8657b5f0f24b4fb75c555a168d41b8a104ec14a123f5ff0d62f8b2e9aeabba1e081a4eb7e13e1837101c6e300d515688c613837be
+DIST uif2iso-test.uif 499 SHA256 2019019dc6c532be145fd0ff5c6c23da7927dc321620482d1e99188ccd61a096 SHA512 6863305d325ec6cf6c8693512d011ec4150bcf0be94f84495e4075cea74412b9fd8ede17f77ad9f7d4b3cf205c9406adbd5440697c7857ab094e4659d074efeb WHIRLPOOL 27d1db05f5f971dd173cd05c197539a1c637ef5baf83493eb3615ad05d664c624b7aacebc4af24d1e08676d6e1c1a6c13398a6669aa6203b1dedef248dd2f0c6
diff --git a/app-cdr/uif2iso/metadata.xml b/app-cdr/uif2iso/metadata.xml
index 27efc9c9182..c2690264a00 100644
--- a/app-cdr/uif2iso/metadata.xml
+++ b/app-cdr/uif2iso/metadata.xml
@@ -1,9 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <longdescription lang="en">
- uif2iso is a program that can convert images taken with the
- MagicISO software under Windows, with its proprietary UIF format,
- into standard ISO9660 images.
- </longdescription>
+<maintainer type="person">
+ <email>yegortimoshenko@gmail.com</email>
+ <name>Yegor Timoshenko</name>
+</maintainer>
+<maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+</maintainer>
</pkgmetadata>
diff --git a/app-cdr/uif2iso/uif2iso-0.1.7c-r1.ebuild b/app-cdr/uif2iso/uif2iso-0.1.7c-r1.ebuild
new file mode 100644
index 00000000000..97d523632af
--- /dev/null
+++ b/app-cdr/uif2iso/uif2iso-0.1.7c-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+inherit toolchain-funcs
+
+DESCRIPTION="Convert CD images from uif (MagicISO) to iso"
+HOMEPAGE="http://aluigi.altervista.org/mytoolz.htm#uif2iso"
+SRC_URI="mirror://gentoo/${P}.zip
+ test? ( https://yegortimoshenko.s3.amazonaws.com/${PN}-test.iso
+ https://yegortimoshenko.s3.amazonaws.com/${PN}-test.uif )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+
+RDEPEND="sys-libs/zlib"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S="${WORKDIR}"
+
+src_compile() {
+ emake CC="$(tc-getCC)" -C src -f - <<-'EOF'
+ CPPFLAGS += -DMAGICISO_IS_SHIT
+ LDLIBS = -lz
+ uif2iso: $(patsubst %.c,%.o,$(wildcard *.c))
+ EOF
+}
+
+src_test() {
+ einfo "checking that uif -> iso matches the expected output"
+ src/${PN} "${DISTDIR}/${PN}-test.uif" "${T}/${PN}-test.iso" # always returns 1
+ diff "${DISTDIR}/${PN}-test.iso" "${T}/${PN}-test.iso" || die "unexpected iso"
+}
+
+src_install() {
+ dobin src/${PN}
+ dodoc ${PN}.txt README
+}